	.text
	.hidden	__pow_log_data
	.globl	__pow_log_data
	.section	.rodata
	.align 32
	.type	__pow_log_data, @object
	.size	__pow_log_data, 4168
__pow_log_data:
	.long	4277811200
	.long	1072049730
	.long	2479318832
	.long	1026487127
	.long	0
	.long	-1075838976
	.long	1431655776
	.long	-1075489451
	.long	6
	.long	1071644672
	.long	2572768590
	.long	1072273817
	.long	1428792442
	.long	-1075489451
	.long	2605204969
	.long	-1074640549
	.long	2334539715
	.long	1072693291
	.long	0
	.long	1073127424
	.long	0
	.long	0
	.long	4072261632
	.long	-1076482942
	.long	674715264
	.long	1023063076
	.long	0
	.long	1073119232
	.long	0
	.long	0
	.long	3210217472
	.long	-1076506179
	.long	3638621984
	.long	-1122196216
	.long	0
	.long	1073111040
	.long	0
	.long	0
	.long	390420480
	.long	-1076529545
	.long	3585495149
	.long	-1121754460
	.long	0
	.long	1073102848
	.long	0
	.long	0
	.long	2267936768
	.long	-1076553043
	.long	2662361045
	.long	-1125743388
	.long	0
	.long	1073094656
	.long	0
	.long	0
	.long	2507634688
	.long	-1076576673
	.long	2468953824
	.long	-1123804311
	.long	0
	.long	1073086464
	.long	0
	.long	0
	.long	3256639488
	.long	-1076600437
	.long	1212974284
	.long	1024710703
	.long	0
	.long	1073078272
	.long	0
	.long	0
	.long	2256971776
	.long	-1076624336
	.long	3984722746
	.long	1021068019
	.long	0
	.long	1073070080
	.long	0
	.long	0
	.long	1432963072
	.long	-1076648372
	.long	2253493344
	.long	1025552838
	.long	0
	.long	1073061888
	.long	0
	.long	0
	.long	2593685504
	.long	-1076672547
	.long	3569713298
	.long	1025857869
	.long	0
	.long	1073053696
	.long	0
	.long	0
	.long	3135315968
	.long	-1076696862
	.long	2578918360
	.long	1025932062
	.long	0
	.long	1073045504
	.long	0
	.long	0
	.long	333350912
	.long	-1076721318
	.long	3067064383
	.long	1024838164
	.long	0
	.long	1073045504
	.long	0
	.long	0
	.long	333350912
	.long	-1076721318
	.long	3067064383
	.long	1024838164
	.long	0
	.long	1073037312
	.long	0
	.long	0
	.long	4224677888
	.long	-1076745919
	.long	676584054
	.long	-1122608604
	.long	0
	.long	1073029120
	.long	0
	.long	0
	.long	3244922880
	.long	-1076770664
	.long	1759990788
	.long	-1121996868
	.long	0
	.long	1073020928
	.long	0
	.long	0
	.long	2880153600
	.long	-1076795556
	.long	864200944
	.long	1025449926
	.long	0
	.long	1073012736
	.long	0
	.long	0
	.long	4188948480
	.long	-1076820597
	.long	4244986470
	.long	-1121539900
	.long	0
	.long	1073004544
	.long	0
	.long	0
	.long	3799224320
	.long	-1076845788
	.long	2129920782
	.long	-1123259410
	.long	0
	.long	1072996352
	.long	0
	.long	0
	.long	2494877696
	.long	-1076871131
	.long	2666802559
	.long	-1125108040
	.long	0
	.long	1072996352
	.long	0
	.long	0
	.long	2494877696
	.long	-1076871131
	.long	2666802559
	.long	-1125108040
	.long	0
	.long	1072988160
	.long	0
	.long	0
	.long	1834893312
	.long	-1076905704
	.long	2878946439
	.long	1024284458
	.long	0
	.long	1072979968
	.long	0
	.long	0
	.long	3420217344
	.long	-1076957011
	.long	2626072356
	.long	1026238135
	.long	0
	.long	1072971776
	.long	0
	.long	0
	.long	1848307712
	.long	-1077008633
	.long	1413480208
	.long	-1122554033
	.long	0
	.long	1072963584
	.long	0
	.long	0
	.long	1800388608
	.long	-1077060575
	.long	3150604315
	.long	1025620625
	.long	0
	.long	1072955392
	.long	0
	.long	0
	.long	3348799488
	.long	-1077112841
	.long	1755284532
	.long	1025997135
	.long	0
	.long	1072955392
	.long	0
	.long	0
	.long	3348799488
	.long	-1077112841
	.long	1755284532
	.long	1025997135
	.long	0
	.long	1072947200
	.long	0
	.long	0
	.long	1949143040
	.long	-1077165434
	.long	831240079
	.long	1025068720
	.long	0
	.long	1072939008
	.long	0
	.long	0
	.long	1317060608
	.long	-1077218359
	.long	1070436454
	.long	1018842723
	.long	0
	.long	1072930816
	.long	0
	.long	0
	.long	534949888
	.long	-1077271620
	.long	3695624682
	.long	-1121612700
	.long	0
	.long	1072930816
	.long	0
	.long	0
	.long	534949888
	.long	-1077271620
	.long	3695624682
	.long	-1121612700
	.long	0
	.long	1072922624
	.long	0
	.long	0
	.long	2633256960
	.long	-1077325222
	.long	79811811
	.long	-1121267239
	.long	0
	.long	1072914432
	.long	0
	.long	0
	.long	1696649216
	.long	-1077379168
	.long	2145122825
	.long	1026276799
	.long	0
	.long	1072906240
	.long	0
	.long	0
	.long	34660352
	.long	-1077433463
	.long	1918061144
	.long	1026284432
	.long	0
	.long	1072906240
	.long	0
	.long	0
	.long	34660352
	.long	-1077433463
	.long	1918061144
	.long	1026284432
	.long	0
	.long	1072898048
	.long	0
	.long	0
	.long	3877228544
	.long	-1077488113
	.long	2746409574
	.long	-1122966422
	.long	0
	.long	1072889856
	.long	0
	.long	0
	.long	1890029568
	.long	-1077543120
	.long	2668646457
	.long	-1122066877
	.long	0
	.long	1072889856
	.long	0
	.long	0
	.long	1890029568
	.long	-1077543120
	.long	2668646457
	.long	-1122066877
	.long	0
	.long	1072881664
	.long	0
	.long	0
	.long	3819024384
	.long	-1077598491
	.long	2416401295
	.long	-1121919349
	.long	0
	.long	1072873472
	.long	0
	.long	0
	.long	1825275904
	.long	-1077654229
	.long	1630894140
	.long	1024920769
	.long	0
	.long	1072873472
	.long	0
	.long	0
	.long	1825275904
	.long	-1077654229
	.long	1630894140
	.long	1024920769
	.long	0
	.long	1072865280
	.long	0
	.long	0
	.long	538873856
	.long	-1077710340
	.long	1294423098
	.long	1022457990
	.long	0
	.long	1072857088
	.long	0
	.long	0
	.long	4162842624
	.long	-1077766830
	.long	393331720
	.long	-1121678032
	.long	0
	.long	1072848896
	.long	0
	.long	0
	.long	3576651776
	.long	-1077823702
	.long	403809174
	.long	-1121025884
	.long	0
	.long	1072848896
	.long	0
	.long	0
	.long	3576651776
	.long	-1077823702
	.long	403809174
	.long	-1121025884
	.long	0
	.long	1072840704
	.long	0
	.long	0
	.long	2094043136
	.long	-1077880962
	.long	2296929268
	.long	1024092566
	.long	0
	.long	1072840704
	.long	0
	.long	0
	.long	2094043136
	.long	-1077880962
	.long	2296929268
	.long	1024092566
	.long	0
	.long	1072832512
	.long	0
	.long	0
	.long	836493312
	.long	-1077941103
	.long	1554199538
	.long	-1121618604
	.long	0
	.long	1072824320
	.long	0
	.long	0
	.long	1848311808
	.long	-1078057209
	.long	720371772
	.long	1026176044
	.long	0
	.long	1072824320
	.long	0
	.long	0
	.long	1848311808
	.long	-1078057209
	.long	720371772
	.long	1026176044
	.long	0
	.long	1072816128
	.long	0
	.long	0
	.long	2405154816
	.long	-1078174124
	.long	1482669574
	.long	-1122169769
	.long	0
	.long	1072807936
	.long	0
	.long	0
	.long	977985536
	.long	-1078291859
	.long	3898321608
	.long	1025849653
	.long	0
	.long	1072807936
	.long	0
	.long	0
	.long	977985536
	.long	-1078291859
	.long	3898321608
	.long	1025849653
	.long	0
	.long	1072799744
	.long	0
	.long	0
	.long	3593576448
	.long	-1078410427
	.long	1294947944
	.long	1024687145
	.long	0
	.long	1072799744
	.long	0
	.long	0
	.long	3593576448
	.long	-1078410427
	.long	1294947944
	.long	1024687145
	.long	0
	.long	1072791552
	.long	0
	.long	0
	.long	2330288128
	.long	-1078529838
	.long	3375592410
	.long	-1121544393
	.long	0
	.long	1072783360
	.long	0
	.long	0
	.long	1057366016
	.long	-1078650105
	.long	1640390231
	.long	1025442395
	.long	0
	.long	1072783360
	.long	0
	.long	0
	.long	1057366016
	.long	-1078650105
	.long	1640390231
	.long	1025442395
	.long	0
	.long	1072775168
	.long	0
	.long	0
	.long	2518409216
	.long	-1078771241
	.long	3438875615
	.long	1026318042
	.long	0
	.long	1072775168
	.long	0
	.long	0
	.long	2518409216
	.long	-1078771241
	.long	3438875615
	.long	1026318042
	.long	0
	.long	1072766976
	.long	0
	.long	0
	.long	4003692544
	.long	-1078893258
	.long	1989124873
	.long	1024752734
	.long	0
	.long	1072758784
	.long	0
	.long	0
	.long	3222372352
	.long	-1079047632
	.long	2201390737
	.long	1026382238
	.long	0
	.long	1072758784
	.long	0
	.long	0
	.long	3222372352
	.long	-1079047632
	.long	2201390737
	.long	1026382238
	.long	0
	.long	1072750592
	.long	0
	.long	0
	.long	1897496576
	.long	-1079295267
	.long	3856035916
	.long	1025278586
	.long	0
	.long	1072750592
	.long	0
	.long	0
	.long	1897496576
	.long	-1079295267
	.long	3856035916
	.long	1025278586
	.long	0
	.long	1072742400
	.long	0
	.long	0
	.long	4130521088
	.long	-1079544744
	.long	888316398
	.long	-1121125306
	.long	0
	.long	1072742400
	.long	0
	.long	0
	.long	4130521088
	.long	-1079544744
	.long	888316398
	.long	-1121125306
	.long	0
	.long	1072734208
	.long	0
	.long	0
	.long	3120480256
	.long	-1079796089
	.long	4112973482
	.long	1022689975
	.long	0
	.long	1072734208
	.long	0
	.long	0
	.long	3120480256
	.long	-1079796089
	.long	4112973482
	.long	1022689975
	.long	0
	.long	1072726016
	.long	0
	.long	0
	.long	242745344
	.long	-1080065381
	.long	2088634852
	.long	-1121353690
	.long	0
	.long	1072726016
	.long	0
	.long	0
	.long	242745344
	.long	-1080065381
	.long	2088634852
	.long	-1121353690
	.long	0
	.long	1072717824
	.long	0
	.long	0
	.long	131432448
	.long	-1080575717
	.long	2482677305
	.long	-1121415852
	.long	0
	.long	1072709632
	.long	0
	.long	0
	.long	2969305088
	.long	-1081098072
	.long	4141065884
	.long	-1126228356
	.long	0
	.long	1072709632
	.long	0
	.long	0
	.long	2969305088
	.long	-1081098072
	.long	4141065884
	.long	-1126228356
	.long	0
	.long	1072701440
	.long	0
	.long	0
	.long	1796210688
	.long	-1082138582
	.long	232407268
	.long	-1122377153
	.long	0
	.long	1072701440
	.long	0
	.long	0
	.long	1796210688
	.long	-1082138582
	.long	232407268
	.long	-1122377153
	.long	0
	.long	1072693248
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	1072693248
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	0
	.long	1072676864
	.long	0
	.long	0
	.long	1971912704
	.long	1065357333
	.long	2577214440
	.long	-1122973845
	.long	0
	.long	1072660480
	.long	0
	.long	0
	.long	1486061568
	.long	1066410070
	.long	115537874
	.long	-1121723301
	.long	0
	.long	1072644096
	.long	0
	.long	0
	.long	684261376
	.long	1066944805
	.long	844762164
	.long	-1121279814
	.long	0
	.long	1072627712
	.long	0
	.long	0
	.long	2313633792
	.long	1067467101
	.long	1559353171
	.long	1023480256
	.long	0
	.long	1072611328
	.long	0
	.long	0
	.long	3559784448
	.long	1067738798
	.long	1975385384
	.long	-1121184141
	.long	0
	.long	1072594944
	.long	0
	.long	0
	.long	346013696
	.long	1068012714
	.long	3495569021
	.long	-1122403947
	.long	0
	.long	1072578560
	.long	0
	.long	0
	.long	3453861888
	.long	1068288883
	.long	1205348359
	.long	-1122342670
	.long	0
	.long	1072570368
	.long	0
	.long	0
	.long	3221667840
	.long	1068427825
	.long	1338588027
	.long	-1123151554
	.long	0
	.long	1072553984
	.long	0
	.long	0
	.long	3511050240
	.long	1068603195
	.long	1443733147
	.long	-1121635747
	.long	0
	.long	1072537600
	.long	0
	.long	0
	.long	2815549440
	.long	1068744181
	.long	2782613207
	.long	1026345054
	.long	0
	.long	1072521216
	.long	0
	.long	0
	.long	1301782528
	.long	1068886362
	.long	1012735262
	.long	-1121163002
	.long	0
	.long	1072513024
	.long	0
	.long	0
	.long	183156736
	.long	1068957907
	.long	2845699378
	.long	1022107277
	.long	0
	.long	1072496640
	.long	0
	.long	0
	.long	1566130176
	.long	1069101918
	.long	985483226
	.long	1025708380
	.long	0
	.long	1072480256
	.long	0
	.long	0
	.long	2376949760
	.long	1069247176
	.long	737634533
	.long	-1122791296
	.long	0
	.long	1072472064
	.long	0
	.long	0
	.long	29114368
	.long	1069320280
	.long	3327831251
	.long	1025918673
	.long	0
	.long	1072455680
	.long	0
	.long	0
	.long	2198478848
	.long	1069467449
	.long	2951103968
	.long	-1121075096
	.long	0
	.long	1072447488
	.long	0
	.long	0
	.long	970711040
	.long	1069541521
	.long	1335954173
	.long	-1121635114
	.long	0
	.long	1072431104
	.long	0
	.long	0
	.long	2183651328
	.long	1069619086
	.long	3459057650
	.long	1025634168
	.long	0
	.long	1072422912
	.long	0
	.long	0
	.long	2116284416
	.long	1069656619
	.long	1144559924
	.long	1026336654
	.long	0
	.long	1072406528
	.long	0
	.long	0
	.long	210141184
	.long	1069732193
	.long	3414275233
	.long	1023647084
	.long	0
	.long	1072398336
	.long	0
	.long	0
	.long	2954203136
	.long	1069770236
	.long	592147081
	.long	1019621288
	.long	0
	.long	1072381952
	.long	0
	.long	0
	.long	2201202688
	.long	1069846845
	.long	1425913464
	.long	1025868665
	.long	0
	.long	1072373760
	.long	0
	.long	0
	.long	3835801600
	.long	1069885413
	.long	3848895943
	.long	1025913832
	.long	0
	.long	1072357376
	.long	0
	.long	0
	.long	3196850176
	.long	1069963086
	.long	742141560
	.long	1025101707
	.long	0
	.long	1072349184
	.long	0
	.long	0
	.long	2339729408
	.long	1070002194
	.long	3852214753
	.long	-1121644147
	.long	0
	.long	1072340992
	.long	0
	.long	0
	.long	2235846656
	.long	1070041485
	.long	1888568069
	.long	-1122212336
	.long	0
	.long	1072324608
	.long	0
	.long	0
	.long	3946381312
	.long	1070120623
	.long	2867408081
	.long	-1123599020
	.long	0
	.long	1072316416
	.long	0
	.long	0
	.long	3707174912
	.long	1070160474
	.long	1486946159
	.long	1023930920
	.long	0
	.long	1072300032
	.long	0
	.long	0
	.long	1015734272
	.long	1070240749
	.long	1347821929
	.long	-1121422781
	.long	0
	.long	1072291840
	.long	0
	.long	0
	.long	1465634816
	.long	1070281176
	.long	1319952810
	.long	-1123273331
	.long	0
	.long	1072283648
	.long	0
	.long	0
	.long	943448064
	.long	1070321799
	.long	1498682038
	.long	-1121104956
	.long	0
	.long	1072275456
	.long	0
	.long	0
	.long	3337621504
	.long	1070362619
	.long	3314953170
	.long	-1124995982
	.long	0
	.long	1072259072
	.long	0
	.long	0
	.long	2966720512
	.long	1070444861
	.long	4145393717
	.long	-1121255638
	.long	0
	.long	1072250880
	.long	0
	.long	0
	.long	4293332992
	.long	1070486286
	.long	1614935088
	.long	1019351591
	.long	0
	.long	1072242688
	.long	0
	.long	0
	.long	3839688704
	.long	1070527917
	.long	1706790417
	.long	-1127603947
	.long	0
	.long	1072234496
	.long	0
	.long	0
	.long	1823715328
	.long	1070569756
	.long	3389841200
	.long	1025231852
	.long	0
	.long	1072218112
	.long	0
	.long	0
	.long	1615681536
	.long	1070625080
	.long	384650897
	.long	1022926043
	.long	0
	.long	1072209920
	.long	0
	.long	0
	.long	1734434816
	.long	1070646317
	.long	373091049
	.long	1025972363
	.long	0
	.long	1072201728
	.long	0
	.long	0
	.long	2183653376
	.long	1070667662
	.long	1671819292
	.long	-1121181426
	.long	0
	.long	1072193536
	.long	0
	.long	0
	.long	3417110528
	.long	1070689116
	.long	4154791553
	.long	1026267853
	.long	0
	.long	1072185344
	.long	0
	.long	0
	.long	1666869248
	.long	1070710681
	.long	1363656119
	.long	1026336493
	.long	0
	.long	1072177152
	.long	0
	.long	0
	.long	1829681152
	.long	1070732357
	.long	3125197546
	.long	1024100318
	.long	0
	.long	1072160768
	.long	0
	.long	0
	.long	2094829568
	.long	1070776048
	.long	1246758132
	.long	1026202874
	.long	0
	.long	1072152576
	.long	0
	.long	0
	.long	3788726272
	.long	1070798065
	.long	3542170808
	.long	-1121394054
	.long	0
	.long	1072144384
	.long	0
	.long	0
	.long	1992167424
	.long	1070820199
	.long	2968614856
	.long	1024552653
	.long	0
	.long	1072136192
	.long	0
	.long	0
	.long	1999843328
	.long	1070842450
	.long	3053895004
	.long	1024998228
	.long	0
	.long	1072128000
	.long	0
	.long	0
	.long	601221120
	.long	1070864820
	.long	3968917661
	.long	1023992886
	.long	0
	.long	1072119808
	.long	0
	.long	0
	.long	3262236672
	.long	1070887309
	.long	157800053
	.long	-1120983090
	.long	0
	.long	1072111616
	.long	0
	.long	0
	.long	2652319744
	.long	1070909920
	.long	453695652
	.long	-1121050487
	.long	0
	.long	1072103424
	.long	0
	.long	0
	.long	121151488
	.long	1070932654
	.long	2170865497
	.long	1026473584
	.long	0
	.long	1072095232
	.long	0
	.long	0
	.long	1405669376
	.long	1070955511
	.long	3999088879
	.long	1025486317
	.long	0
	.long	1072087040
	.long	0
	.long	0
	.long	3747176448
	.long	1070978493
	.long	144991708
	.long	-1123415254
